import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
import { CommandBase, PostCommandContext } from '../base/CommandBase';
/**
 * 表格行删除命令
 *
 * 删除指定索引处的行
 */
export declare class DeleteRow extends CommandBase<'deleteRow'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['deleteRow']);
    protected execute(): Promise<PostCommandContext>;
}
